Skip to content

List all approvals with filtering and pagination

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

List all approvals with filtering and pagination

Security
oauth2ClientCredentials(Required scopes: approvals:read)
Query
statusstring

Approval status (PENDING, APPROVED, REJECTED, CANCELLED, DRAFT)

Enum:"PENDING""APPROVED""REJECTED""CANCELLED""DRAFT"
pagenumber

Page number for pagination

Default:1
Example:page=1
limitnumber

Number of items per page

Default:100
Example:limit=100
action_typestring

Filter by approval action type (e.g., PAYOUT, INVOICE, SUBSCRIPTION_REQUEST)

Enum:"PAYOUT""TOPUP""KYC""DEBIT""INVOICE""APP_TRANSACTION""SINGLE_CARD_REQUEST""ALLOCATION_REQUEST""BANK_TRANSFER_REQUEST""INVESTMENT_OPTIN_REQUEST"
fromstring

Start date filter (ISO format)

Example:from=2026-01-01
tostring

End date filter (ISO format)

Example:to=2026-12-31
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/approvals/all?status=PENDING&page=1&limit=100&action_type=PAYOUT&from=2026-01-01&to=2026-12-31' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Paginated list of approvals

Bodyapplication/json
docsArray of objects(ApprovalDto)required
pagenumberrequired
Example:1
limitnumberrequired
Example:10
Response
{ "docs": [ {} ], "page": 1, "limit": 10 }